aboutsummaryrefslogtreecommitdiffstats
path: root/community/perl-glib
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2017-06-15 15:27:13 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2017-06-15 20:07:18 +0000
commit86bc86544a04df2d6c100574d187900e74919956 (patch)
tree147ca9463de17eecdce855a1b8e7201c65baedaf /community/perl-glib
parent68280f6102c54a72389e002b39da83c92459af72 (diff)
downloadaports-86bc86544a04df2d6c100574d187900e74919956.tar.gz
aports-86bc86544a04df2d6c100574d187900e74919956.tar.bz2
aports-86bc86544a04df2d6c100574d187900e74919956.tar.xz
community/perl-glib: upgrade to 1.325
Diffstat (limited to 'community/perl-glib')
-rw-r--r--community/perl-glib/APKBUILD28
1 files changed, 11 insertions, 17 deletions
diff --git a/community/perl-glib/APKBUILD b/community/perl-glib/APKBUILD
index 9a47f9c250..7999f65b3f 100644
--- a/community/perl-glib/APKBUILD
+++ b/community/perl-glib/APKBUILD
@@ -3,7 +3,7 @@
# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
pkgname=perl-glib
_pkgreal=Glib
-pkgver=1.324
+pkgver=1.325
pkgrel=0
pkgdesc="Perl module for Glib"
url="http://search.cpan.org/dist/Glib/"
@@ -16,30 +16,24 @@ makedepends="perl-dev glib-dev $cpanmakedepends"
subpackages="$pkgname-doc"
source="http://search.cpan.org/CPAN/authors/id/X/XA/XAOC/Glib-$pkgver.tar.gz"
-_builddir="$srcdir/$_pkgreal-$pkgver"
-
-prepare() {
- cd "$_builddir"
- if [ -e Build.PL ]; then
- perl Build.PL installdirs=vendor || return 1
- else
- PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
- fi
-}
+builddir="$srcdir/$_pkgreal-$pkgver"
build() {
- cd "$_builddir"
- make && make test
+ cd "$builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make
}
+check() {
+ cd "$builddir"
+ make test
+}
package() {
- cd "$_builddir"
+ cd "$builddir"
make DESTDIR="$pkgdir" install || return 1
find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
}
-md5sums="ae78e9710c8c2e0b2c1bbb4f1156d535 Glib-1.324.tar.gz"
-sha256sums="701a214b5b9f17c1b783d807efa1944bfd612939a467b03bc02bd4cf90ad9b4e Glib-1.324.tar.gz"
-sha512sums="c5bc22416f47a8fc0a7410e0bdb637f82e408ce056a2b6be8f04a8a7055af704ab3e0868566c048cb786306986f85f6b940a15f85cb77654620f6f814c2731dd Glib-1.324.tar.gz"
+sha512sums="f4d2d23d4c702ba7a3058494bdfba4d725bd2310ed55bba7114d5abab15f4c8d8f4b40ef6eeec3e733da659a572a6601aaa8ce1964b9cf549e4bed734e016f70 Glib-1.325.tar.gz"